dw-core
=======

[![GitHub Actions badge](https://github.com/DeskWatch/dw-core/workflows/Build/badge.svg)](https://github.com/DeskWatch/dw-core/actions)
[![Code coverage](https://codecov.io/gh/DeskWatch/dw-core/branch/master/graph/badge.svg)](https://codecov.io/gh/DeskWatch/dw-core)
[![PyPI](https://img.shields.io/pypi/v/dw-core)](https://pypi.org/project/dw-core/)
[![Code style: black](https://img.shields.io/badge/code%20style-black-000000.svg)](https://github.com/psf/black)
[![Typechecking: Mypy](http://www.mypy-lang.org/static/mypy_badge.svg)](http://mypy-lang.org/)


Core library for DeskWatch.


## Modules

 - `dw_core`, contains basic datatypes and utilities, such as the `Event` class, helpers for configuration and logging, as well as schemas for buckets, events, and exports.
 - `dw_datastore`, contains the datastore classes used by dw-server-python.
 - `dw_transform`, all event-transforms used in queries.
 - `dw_query`, the query-language used by DeskWatch.


## How to install

To install the latest git version directly from github without cloning, run
`pip install git+https://github.com/DeskWatch/dw-core.git`

To install from a cloned version, cd into the directory and run
`poetry install` to install inside an virtualenv. If you want to install it
system-wide it can be installed with `pip install .`, but that has the issue
that it might not get the exact version of the dependencies due to not reading
the poetry.lock file.

